{
    "packages": [
        {
            "name": "phpstan/phpstan",
            "version": "2.1.55",
            "version_normalized": "2.1.55.0",
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/phpstan/phpstan/zipball/9eaac3826ed5e9b8427350a43cac825eeca3f566",
                "reference": "9eaac3826ed5e9b8427350a43cac825eeca3f566",
                "shasum": ""
            },
            "require": {
                "php": "^7.4|^8.0"
            },
            "conflict": {
                "phpstan/phpstan-shim": "*"
            },
            "time": "2026-05-18T11:57:34+00:00",
            "bin": [
                "phpstan",
                "phpstan.phar"
            ],
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "description": "PHPStan - PHP Static Analysis Tool",
            "keywords": [
                "dev",
                "static analysis"
            ],
            "support": {
                "docs": "https://phpstan.org/user-guide/getting-started",
                "forum": "https://github.com/phpstan/phpstan/discussions",
                "issues": "https://github.com/phpstan/phpstan/issues",
                "security": "https://github.com/phpstan/phpstan/security/policy",
                "source": "https://github.com/phpstan/phpstan-src"
            },
            "funding": [
                {
                    "url": "https://github.com/ondrejmirtes",
                    "type": "github"
                },
                {
                    "url": "https://github.com/phpstan",
                    "type": "github"
                }
            ],
            "install-path": "../phpstan/phpstan"
        },
        {
            "name": "rector/rector",
            "version": "2.4.4",
            "version_normalized": "2.4.4.0",
            "source": {
                "type": "git",
                "url": "https://github.com/rectorphp/rector.git",
                "reference": "4661c582a20f03df585d2e3fdc4af1b83d67a091"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/rectorphp/rector/zipball/4661c582a20f03df585d2e3fdc4af1b83d67a091",
                "reference": "4661c582a20f03df585d2e3fdc4af1b83d67a091",
                "shasum": ""
            },
            "require": {
                "php": "^7.4|^8.0",
                "phpstan/phpstan": "^2.1.48"
            },
            "conflict": {
                "rector/rector-doctrine": "*",
                "rector/rector-downgrade-php": "*",
                "rector/rector-phpunit": "*",
                "rector/rector-symfony": "*"
            },
            "suggest": {
                "ext-dom": "To manipulate phpunit.xml via the custom-rule command"
            },
            "time": "2026-05-20T19:30:21+00:00",
            "bin": [
                "bin/rector"
            ],
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "bootstrap.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "description": "Instant Upgrade and Automated Refactoring of any PHP code",
            "homepage": "https://getrector.com/",
            "keywords": [
                "automation",
                "dev",
                "migration",
                "refactoring"
            ],
            "support": {
                "issues": "https://github.com/rectorphp/rector/issues",
                "source": "https://github.com/rectorphp/rector/tree/2.4.4"
            },
            "funding": [
                {
                    "url": "https://github.com/tomasvotruba",
                    "type": "github"
                }
            ],
            "install-path": "../rector/rector"
        },
        {
            "name": "squizlabs/php_codesniffer",
            "version": "4.0.1",
            "version_normalized": "4.0.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/PHPCSStandards/PHP_CodeSniffer.git",
                "reference": "0525c73950de35ded110cffafb9892946d7771b5"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/PHPCSStandards/PHP_CodeSniffer/zipball/0525c73950de35ded110cffafb9892946d7771b5",
                "reference": "0525c73950de35ded110cffafb9892946d7771b5",
                "shasum": ""
            },
            "require": {
                "ext-simplexml": "*",
                "ext-tokenizer": "*",
                "ext-xmlwriter": "*",
                "php": ">=7.2.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^8.4.0 || ^9.3.4 || ^10.5.32 || 11.3.3 - 11.5.28 || ^11.5.31"
            },
            "time": "2025-11-10T16:43:36+00:00",
            "bin": [
                "bin/phpcbf",
                "bin/phpcs"
            ],
            "type": "library",
            "installation-source": "dist",
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Greg Sherwood",
                    "role": "Former lead"
                },
                {
                    "name": "Juliette Reinders Folmer",
                    "role": "Current lead"
                },
                {
                    "name": "Contributors",
                    "homepage": "https://github.com/PHPCSStandards/PHP_CodeSniffer/graphs/contributors"
                }
            ],
            "description": "PHP_CodeSniffer tokenizes PHP files and detects violations of a defined set of coding standards.",
            "homepage": "https://github.com/PHPCSStandards/PHP_CodeSniffer",
            "keywords": [
                "phpcs",
                "standards",
                "static analysis"
            ],
            "support": {
                "issues": "https://github.com/PHPCSStandards/PHP_CodeSniffer/issues",
                "security": "https://github.com/PHPCSStandards/PHP_CodeSniffer/security/policy",
                "source": "https://github.com/PHPCSStandards/PHP_CodeSniffer",
                "wiki": "https://github.com/PHPCSStandards/PHP_CodeSniffer/wiki"
            },
            "funding": [
                {
                    "url": "https://github.com/PHPCSStandards",
                    "type": "github"
                },
                {
                    "url": "https://github.com/jrfnl",
                    "type": "github"
                },
                {
                    "url": "https://opencollective.com/php_codesniffer",
                    "type": "open_collective"
                },
                {
                    "url": "https://thanks.dev/u/gh/phpcsstandards",
                    "type": "thanks_dev"
                }
            ],
            "install-path": "../squizlabs/php_codesniffer"
        }
    ],
    "dev": true,
    "dev-package-names": [
        "phpstan/phpstan",
        "rector/rector",
        "squizlabs/php_codesniffer"
    ]
}
